Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.event
Class FullTextIndexCollectionEventListener

    java.lang.Object
      org.hibernate.search.event.FullTextIndexEventListener
          org.hibernate.search.event.FullTextIndexCollectionEventListener

All Implemented Interfaces:
  java.io.Serializable, org.hibernate.event.Destructible, org.hibernate.event.FlushEventListener, org.hibernate.event.Initializable, org.hibernate.event.PostCollectionRecreateEventListener, org.hibernate.event.PostCollectionRemoveEventListener, org.hibernate.event.PostCollectionUpdateEventListener, org.hibernate.event.PostDeleteEventListener, org.hibernate.event.PostInsertEventListener, org.hibernate.event.PostUpdateEventListener

Deprecated. As of release 3.1.0, replaced by `FullTextIndexEventListener`

    @Deprecated
    public class FullTextIndexCollectionEventListener

extends FullTextIndexEventListener
implements org.hibernate.event.PostCollectionRecreateEventListener, org.hibernate.event.PostCollectionRemoveEventListener, org.hibernate.event.PostCollectionUpdateEventListener

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.search.event.FullTextIndexEventListener
`searchFactoryImplementor, used`

Constructor Summary
`FullTextIndexCollectionEventListener()` Deprecated.

Method Summary
`void` | `onPostRecreateCollection(org.hibernate.event.PostCollectionRecreateEvent event)` Deprecated. As of release 3.1.0, replaced by `FullTextIndexEventListener.onPostRecreateCollection(PostCollectionRecreateEvent)`
`void` | `onPostRemoveCollection(org.hibernate.event.PostCollectionRemoveEvent event)` Deprecated. As of release 3.1.0, replaced by `FullTextIndexEventListener.onPostRemoveCollection(PostCollectionRemoveEvent)`
`void` | `onPostUpdateCollection(org.hibernate.event.PostCollectionUpdateEvent event)` Deprecated. As of release 3.1.0, replaced by `FullTextIndexEventListener.onPostUpdateCollection(PostCollectionUpdateEvent)`

Methods inherited from class org.hibernate.search.event.FullTextIndexEventListener
`addSynchronization, cleanup, getSearchFactoryImplementor, initialize, onFlush, onPostDelete, onPostInsert, onPostUpdate, processCollectionEvent, processWork`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullTextIndexCollectionEventListener

    public FullTextIndexCollectionEventListener()

  Deprecated.

Method Detail

### onPostRecreateCollection

    @Deprecated
    public void onPostRecreateCollection(org.hibernate.event.PostCollectionRecreateEvent event)

  Deprecated. As of release 3.1.0, replaced by `FullTextIndexEventListener.onPostRecreateCollection(PostCollectionRecreateEvent)`

  Specified by:
    `onPostRecreateCollection` in interface `org.hibernate.event.PostCollectionRecreateEventListener`
  Overrides:
    `onPostRecreateCollection` in class `FullTextIndexEventListener`

### onPostRemoveCollection

    @Deprecated
    public void onPostRemoveCollection(org.hibernate.event.PostCollectionRemoveEvent event)

  Deprecated. As of release 3.1.0, replaced by `FullTextIndexEventListener.onPostRemoveCollection(PostCollectionRemoveEvent)`

  Specified by:
    `onPostRemoveCollection` in interface `org.hibernate.event.PostCollectionRemoveEventListener`
  Overrides:
    `onPostRemoveCollection` in class `FullTextIndexEventListener`

### onPostUpdateCollection

    @Deprecated
    public void onPostUpdateCollection(org.hibernate.event.PostCollectionUpdateEvent event)

  Deprecated. As of release 3.1.0, replaced by `FullTextIndexEventListener.onPostUpdateCollection(PostCollectionUpdateEvent)`

  Specified by:
    `onPostUpdateCollection` in interface `org.hibernate.event.PostCollectionUpdateEventListener`
  Overrides:
    `onPostUpdateCollection` in class `FullTextIndexEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.